use tosin::contrib::admin;
use tosin::http::Filter;
use tosin::urls::{UrlMap, path};

mod polls;

pub fn urls() -> UrlMap {
    path!("polls" / ..).and(polls::urls::urls())
        .or(path!("admin" / ..).and(admin::site::urls::urls()))
        .unify()
        .boxed()
}

fn main() {
    tosin::run_server(urls());
}
