use crate::urls::UrlMap;

pub fn run_server(filter_stack: UrlMap) {
    let server_task = warp::serve(filter_stack).run(([127, 0, 0, 1], 3030));

    tokio::runtime::Builder::new_multi_thread()
        .enable_all()
        .build()
        .unwrap()
        .block_on(server_task)
}
